ru.inpas.communication

## Enum ICommunication.ErrorCommunication

- java.lang.Object
- - java.lang.Enum<ICommunication.ErrorCommunication>
  - - ru.inpas.communication.ICommunication.ErrorCommunication

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ICommunication.ErrorCommunication>

Enclosing interface:
  ICommunication

    public static enum ICommunication.ErrorCommunication
    extends java.lang.Enum<ICommunication.ErrorCommunication>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ERR_CLOSE`
`ERR_INIT_PARAMS`
`ERR_OPEN`
`ERR_READ`
`ERR_WRITE`
`NO_INIT`
`NO_OPEN`
`OK`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICommunication.ErrorCommunication` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ICommunication.ErrorCommunication[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final ICommunication.ErrorCommunication OK

#### NO_INIT

    public static final ICommunication.ErrorCommunication NO_INIT

#### ERR_INIT_PARAMS

    public static final ICommunication.ErrorCommunication ERR_INIT_PARAMS

#### NO_OPEN

    public static final ICommunication.ErrorCommunication NO_OPEN

#### ERR_OPEN

    public static final ICommunication.ErrorCommunication ERR_OPEN

#### ERR_READ

    public static final ICommunication.ErrorCommunication ERR_READ

#### ERR_WRITE

    public static final ICommunication.ErrorCommunication ERR_WRITE

#### ERR_CLOSE

    public static final ICommunication.ErrorCommunication ERR_CLOSE

### Method Detail

#### values

    public static ICommunication.ErrorCommunication[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICommunication.ErrorCommunication c : ICommunication.ErrorCommunication.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICommunication.ErrorCommunication valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null